Page MenuHomeFreeBSD

audio/nekobi-lv2: fix build with GCC-based architectures
ClosedPublic

Authored by pkubaj on Apr 30 2019, 7:36 PM.

Details

Summary

This port requires C++11-compatible compiler to build on GCC architectures.

Additionally, remove -mtune=generic -msse -msse2 on GCC architectures.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235486

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Apr 30 2019, 7:36 PM
mat added inline comments.May 1 2019, 7:00 AM
audio/nekobi-lv2/Makefile
33 ↗(On Diff #56883)

Don't create an empty target if the condition is false, put the .if before the target name.

pkubaj updated this revision to Diff 56918.May 1 2019, 5:27 PM

Reorder post-patch and .if.

mat accepted this revision.May 2 2019, 7:43 AM
This revision is now accepted and ready to land.May 2 2019, 7:43 AM
This revision was automatically updated to reflect the committed changes.